kjs Library: KJS::UChar Struct Reference (kjs Library)

| # kjs Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KJS::UChar Struct Reference

Unicode character. More...

`#include <ustring.h>`

Collaboration diagram for KJS::UChar:

[legend]
List of all members.

## Public Member Functions
| UChar ()
| UChar (char u)
| UChar (unsigned char u)
| UChar (unsigned char h, unsigned char l)
| UChar (unsigned short u)
| UChar (const UCharReference &c)
unsigned char | high () const
unsigned char | low () const
unsigned short | unicode () const
UChar | toLower () const
UChar | toUpper () const
## Public Attributes
unsigned short | uc
## Static Public Attributes
static UChar | null

## Detailed Description

Unicode character.

UChar represents a 16 bit Unicode character. It's internal data representation is compatible to XChar2b and QChar. It's therefore possible to exchange data with X and Qt with shallow copies.

Definition at line 51 of file ustring.h.

## Constructor & Destructor Documentation

KJS::UChar::UChar | ( |  | ) | `[inline]`

| Construct a character with uninitialized value. Definition at line 99 of file ustring.h.

KJS::UChar::UChar | ( | unsigned char | h,
|  | unsigned char | l
| ) | `[inline]`

  | Construct a character with the value denoted by the arguments. Parameters:
  | h | higher byte
  | l | lower byte
Definition at line 100 of file ustring.h.

KJS::UChar::UChar | ( | unsigned short | u | ) | `[inline]`

  | Construct a character with the given value. Parameters:
  | u | 16 bit Unicode value
Definition at line 103 of file ustring.h.

## Member Function Documentation

unsigned char KJS::UChar::high | ( |  | ) | const`[inline]`

| Returns: The higher byte of the character. Definition at line 73 of file ustring.h.

unsigned char KJS::UChar::low | ( |  | ) | const`[inline]`

| Returns: The lower byte of the character. Definition at line 77 of file ustring.h.

unsigned short KJS::UChar::unicode | ( |  | ) | const`[inline]`

| Returns: the 16 bit Unicode value of the character Definition at line 81 of file ustring.h.

UChar UChar::toLower | ( |  | ) | const

| Returns: The character converted to lower case. Definition at line 131 of file ustring.cpp.

UChar UChar::toUpper | ( |  | ) | const

| Returns: The character converted to upper case. Definition at line 140 of file ustring.cpp. Referenced by KJS::UCharReference::toUpper().

## Member Data Documentation

UChar UChar::null`[static]`

| A static instance of UChar(0).

The documentation for this struct was generated from the following files:

- ustring.h
- ustring.cpp

This file is part of the documentation for kjs Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:23:17 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003